<form class="{{cssClass}}" autocomplete="off">

    {{!-- Character Sheet Sections --}}
    <div class="sheet-section-container">

        <div class="sheet-fixed-container">
            <div class="character-profile-container">
                <div class="profile-img-container">
                    <img class="profile-img" src="{{actor.img}}" data-edit="img" title="{{actor.name}}">
                    <div class="status-column">
                        <div class="vertical-flex-container">
                            <img id="wound-icon" src="icons/skills/wounds/blood-drip-droplet-red.webp" title="Wounded {{data.woundPenalty}}">
                            <img id="fatigue-icon" src="icons/magic/control/debuff-energy-hold-green.webp" title="Fatigued {{data.fatigue.penalty}}">
                            <img id="enc-icon" src="icons/containers/bags/pack-leather-brown.webp" title="{{data.carry_rating.label}} {{data.carry_rating.penalty}}">
                        </div>
                    </div>
                </div>
                <nav class="sheet-tabs tabs" data-group="primary">
                    <a class="item" data-tab="core">Info</a>
                    <a class="item" data-tab="combat">Combat</a>
                    <!--<a class="item" data-tab="magic">Magie</a>-->
                    <a class="item" data-tab="equipment">Items</a>
                </nav>
                <div>
                    <h1 class="charname"><input type="text" name="name" value="{{actor.name}}" placeholder="Name"></h1>
                </div>
            </div>
            <div class="fixed-data-container">
                <div class="resourceBars">
                    <div id="hpResource">
                        <div class="resourceLabel">
                            <button type="button" data-resource="hp">Vie</button>
                            <div class="resourceButton">
                                <i data-action="increase" data-resource="hp" class="fas fa-angle-up incrementResource"></i>
                                <i data-action="decrease" data-resource="hp" class="fas fa-angle-down incrementResource"></i>
                            </div>
                        </div>
                        <div class="maxBar" data-resource="hp">
                            <div class="bar-values">
                                <input type="number" name="data.hp.value" value="{{data.hp.value}}"> / <input type="number" name="data.hp.max" value="{{data.hp.max}}">
                            </div>
                            <div id="hpBar" class="currentBar" data-resource="hp"></div>
                        </div>
                    </div>
                    <!--<div id="magickaResource">
                        <div class="resourceLabel">
                            <button type="button" data-resource="magicka">Mana</button>
                            <div class="resourceButton">
                                <i data-action="increase" data-resource="magicka" class="fas fa-angle-up incrementResource"></i>
                                <i data-action="decrease" data-resource="magicka" class="fas fa-angle-down incrementResource"></i>
                            </div>
                        </div>
                        <div class="maxBar" data-resource="magicka">
                            <div class="bar-values">
                                <input type="number" name="data.magicka.value" value="{{data.magicka.value}}"> / <input type="number" name="data.magicka.max" value="{{data.magicka.max}}">
                            </div>
                            <div id="magickaBar" class="currentBar" data-resource="magicka"></div>
                        </div>
                    </div>-->
                </div>

                <div class="characteristics-container">
                    <h2>
                        <button type="button" class="setBaseCharacteristics">Fixer</button>
                        <div>Characteristiques</div>
                    </h2>
                    <div class="characteristic-entry-container">
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="data.characteristics.str.favored" {{checked data.characteristics.str.favored}}>
                            <div id="str" name="Force" class="characteristic-roll styled-font rollable">Force</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{data.characteristics.str.total}}</div>
                            </div>
                        </div>
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="data.characteristics.int.favored" {{checked data.characteristics.int.favored}}>
                            <div id="int" name="Intelligence" class="characteristic-roll styled-font rollable">Intelligence</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{data.characteristics.int.total}}</div>
                            </div>
                        </div>
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="data.characteristics.prs.favored" {{checked data.characteristics.prs.favored}}>
                            <div id="prs" name="Eloquence" class="characteristic-roll styled-font rollable">Eloquence</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{data.characteristics.prs.total}}</div>
                            </div>
                        </div>
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="data.characteristics.prc.favored" {{checked data.characteristics.prc.favored}}>
                            <div id="prc" name="Perception" class="characteristic-roll styled-font rollable">Perception</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{data.characteristics.prc.total}}</div>
                            </div>
                        </div>
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="data.characteristics.sag.favored" {{checked data.characteristics.sag.favored}}>
                            <div id="sag" name="Sagesse" class="characteristic-roll styled-font rollable">Sagesse</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{data.characteristics.sag.total}}</div>
                            </div>
                        </div>
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="data.characteristics.agi.favored" {{checked data.characteristics.agi.favored}}>
                            <div id="agi" name="Agilité" class="characteristic-roll styled-font rollable">Agilité</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{data.characteristics.agi.total}}</div>
                            </div>
                        </div>
                        
                        
                    </div>
                </div>
                <div class="characteristics-container">
                    <h2>Note de la session</h2>
                        <div class="contentContainer">
                            {{editor content=data.note target="data.note" button=true owner=owner editable=editable}}
                        </div>
                </div>
            </div>
        </div>

        <section class="sheet-body">
            <div class="tab core" data-group="primary" data-tab="core">
                <div class="tabContainer">

                    <!--<div class="about-buttons">
                        <div class="buttonStats">
                            <button type="button" id="luckyMenu">Lucky/Unlucky</button>
                            <button type="button" id="raceMenu">Race: {{data.race}}</button>
                        </div>
                    </div>

                    <div class="skillContainer">
                        <h2 class="headerWithButton">
                            <button type="button" class="item-create" id="skill">+</button>
                            <label>Compétences</label>
                        </h2>
                        <ul class="skillList">
                            {{#each actor.data.skill as |item id|}}
                                <li class="item" data-item-id="{{item._id}}">
                                    <div class="itemInfo">
                                        <i class="fas fa-dice-d20 skill-roll"></i>
                                        <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                        <div class="item-name">{{item.name}}</div>
                                    </div>
                                </li>
                            {{/each}}
                        </ul>
                    </div>-->

                    <div class="two-column-flex-container">
                        <div class="languageContainer">
                            <h2 class="headerWithButton">
                                <button type="button" class="item-create" id="language">+</button>
                                <label>Langues</label>
                            </h2>
                            <ol class="single-column-list">
                                {{#each actor.data.language as |item id|}}
                                    <li class="item" data-item-id="{{item._id}}">
                                        <div class="itemInfo">
                                            <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                            <div class="item-name">{{item.name}}</div>
                                        </div>
                                        <div class="item-controls">
                                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                        </div>
                                    </li>
                                {{/each}}
                            </ol>
                        </div>
                        <div class="factionContainer">
                            <h2 class="headerWithButton">
                                <button type="button" class="item-create" id="faction">+</button>
                                <label>Factions</label>
                            </h2>
                            <ol class="single-column-list">
                                {{#each actor.data.faction as |item id|}}
                                    <li class="item" data-item-id="{{item._id}}">
                                        <div class="itemInfo">
                                            <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                            <div class="item-name">{{item.name}}</div>
                                        </div>
                                        <div class="item-controls">
                                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                        </div>
                                    </li>
                                {{/each}}
                            </ol>
                        </div>
                    </div>
                    
                    <div class="bioPage">
                        <h2>Biographie</h2>
                        <div class="contentContainer">
                            {{editor content=data.bio target="data.bio" button=true owner=owner editable=editable}}
                        </div>
                    </div>
                </div>
            </div>
            <div class="tab combat" data-group="primary" data-tab="combat">
                <div class="combatTabContainer">
                    <!--<div class="combat-tab-primary-header">
                        <div class="resistance-container">
                            <h2>Resistances</h2>
                            <div class="resistance-grid">
                                <div class="flex-container">
                                    <div>Physique</div>
                                    <div class="styled-font-red center-align">{{data.resistance.physicR.max}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Magique</div>
                                    <div class="styled-font-red center-align">{{data.resistance.magicR.max}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Feu</div>
                                    <div class="styled-font-red center-align">{{data.resistance.fireR.max}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Froid</div>
                                    <div class="styled-font-red center-align">{{data.resistance.frostR.max}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Eau</div>
                                    <div class="styled-font-red center-align">{{data.resistance.waterR.max}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Air</div>
                                    <div class="styled-font-red center-align">{{data.resistance.airR.max}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Poison</div>
                                    <div class="styled-font-red center-align">{{data.resistance.poisonR.max}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Terre</div>
                                    <div class="styled-font-red center-align">{{data.resistance.earthR.max}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Nature</div>
                                    <div class="styled-font-red center-align">{{data.resistance.natureR.max}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Vent</div>
                                    <div class="styled-font-red center-align">{{data.resistance.windR.max}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Electricité</div>
                                    <div class="styled-font-red center-align">{{data.resistance.electricityR.max}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Lumière</div>
                                    <div class="styled-font-red center-align">{{data.resistance.lightR.max}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Ténèbre</div>
                                    <div class="styled-font-red center-align">{{data.resistance.darkR.max}}</div>
                                </div>
                            </div>
                        </div>
                        <div class="status-controls-container">
                            <h2>Status</h2>
                            <div class="resistance-grid">
                                <div class="flex-container">
                                    <div>{{data.effect_cat.burn.name}}</div>
                                    <div class="styled-font-red center-align">{{data.effect_cat.burn.max}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>{{data.effect_cat.wet.name}}</div>
                                    <div class="styled-font-red center-align">{{data.effect_cat.wet.max}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>{{data.effect_cat.freeze.name}}</div>
                                    <div class="styled-font-red center-align">{{data.effect_cat.freeze.max}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>{{data.effect_cat.paralysis.name}}</div>
                                    <div class="styled-font-red center-align">{{data.effect_cat.paralysis.max}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>{{data.effect_cat.slow.name}}</div>
                                    <div class="styled-font-red center-align">{{data.effect_cat.slow.max}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>{{data.effect_cat.flash.name}}</div>
                                    <div class="styled-font-red center-align">{{data.effect_cat.flash.max}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>{{data.effect_cat.dark.name}}</div>
                                    <div class="styled-font-red center-align">{{data.effect_cat.dark.max}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>{{data.effect_cat.poison.name}}</div>
                                    <div class="styled-font-red center-align">{{data.effect_cat.poison.max}}</div>
                                </div>
                            </div>
                        </div>
                    </div>-->
                    <div class="skillContainer">
                        <h2 class="headerWithButton">
                            <label>Compétences</label>
                        </h2>
                        <!--<ul class="skillList">
                            {{#each actor.data.skill as |item id|}}
                                <li class="item" data-item-id="{{item._id}}">
                                    <div class="itemInfo">
                                        <i class="fas fa-dice-d20 skill-roll"></i>
                                        <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                        <div class="item-name">{{item.name}}</div>
                                    </div>
                                </li>
                            {{/each}}
                        </ul>-->
                        <div class="combat-tab-primary-header">
                            <div class="resistance-container">
                                <h2>FORCE</h2>
                                <div class="resistance-grid">
                                    <div class="flex-container">
                                        <div>{{data.characteristics.str.competences.parade.name}}</div>
                                        <div><input class="competences" type="number" name="data.characteristics.str.competences.parade.max" value="{{data.characteristics.str.competences.parade.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.str.competences.armes_lourdes.name}}</div>
                                        <div><input class="competences" type="number" name="data.characteristics.str.competences.armes_lourdes.max" value="{{data.characteristics.str.competences.armes_lourdes.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.str.competences.mains_nues.name}}</div>
                                        <div><input class="competences" type="number" name="data.characteristics.str.competences.mains_nues.max" value="{{data.characteristics.str.competences.mains_nues.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.str.competences.construction.name}}</div>
                                        <div><input class="competences" type="number" name="data.characteristics.str.competences.construction.max" value="{{data.characteristics.str.competences.construction.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.str.competences.athletisme.name}}</div>
                                        <div><input class="competences" type="number" name="data.characteristics.str.competences.athletisme.max" value="{{data.characteristics.str.competences.athletisme.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.str.competences.intimidation.name}}</div>
                                        <div><input class="competences" type="number" name="data.characteristics.str.competences.intimidation.max" value="{{data.characteristics.str.competences.intimidation.max}}"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="status-controls-container">
                                <h2>INTELLIGENCE</h2>
                                <div class="resistance-grid">
                                    <div class="flex-container">
                                        <div>{{data.characteristics.int.competences.histoire.name}}</div>
                                        <div><input class="competences" type="number" name="data.characteristics.int.competences.histoire.max" value="{{data.characteristics.int.competences.histoire.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.int.competences.langues.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.int.competences.langues.max" value="{{data.characteristics.int.competences.langues.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.int.competences.ingenieurie.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.int.competences.ingenieurie.max" value="{{data.characteristics.int.competences.ingenieurie.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.int.competences.medecine.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.int.competences.medecine.max" value="{{data.characteristics.int.competences.medecine.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.int.competences.theologie.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.int.competences.theologie.max" value="{{data.characteristics.int.competences.theologie.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.int.competences.nature.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.int.competences.nature.max" value="{{data.characteristics.int.competences.nature.max}}"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="combat-tab-primary-header">
                            <div class="status-controls-container">
                                <h2>ELOQUENCE</h2>
                                <div class="resistance-grid">
                                    <div class="flex-container">
                                        <div>{{data.characteristics.prs.competences.charme.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.prs.competences.charme.max" value="{{data.characteristics.prs.competences.charme.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.prs.competences.comedie.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.prs.competences.comedie.max" value="{{data.characteristics.prs.competences.comedie.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.prs.competences.bluff.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.prs.competences.bluff.max" value="{{data.characteristics.prs.competences.bluff.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.prs.competences.langues.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.prs.competences.langues.max" value="{{data.characteristics.prs.competences.langues.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.prs.competences.mensonge.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.prs.competences.mensonge.max" value="{{data.characteristics.prs.competences.mensonge.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.prs.competences.troc.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.prs.competences.troc.max" value="{{data.characteristics.prs.competences.troc.max}}"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="status-controls-container">
                                <h2>PERCEPTION</h2>
                                <div class="resistance-grid">
                                    <div class="flex-container">
                                        <div>{{data.characteristics.prc.competences.reflexe.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.prc.competences.reflexe.max" value="{{data.characteristics.prc.competences.reflexe.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.prc.competences.armes_distance.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.prc.competences.armes_distance.max" value="{{data.characteristics.prc.competences.armes_distance.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.prc.competences.detection.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.prc.competences.detection.max" value="{{data.characteristics.prc.competences.detection.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.prc.competences.reperage.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.prc.competences.reperage.max" value="{{data.characteristics.prc.competences.reperage.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.prc.competences.contre_attaque.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.prc.competences.contre_attaque.max" value="{{data.characteristics.prc.competences.contre_attaque.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.prc.competences.pistage.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.prc.competences.pistage.max" value="{{data.characteristics.prc.competences.pistage.max}}"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="combat-tab-primary-header">
                            <div class="status-controls-container">
                                <h2>SAGESSE</h2>
                                <div class="resistance-grid">
                                    <div class="flex-container">
                                        <div>{{data.characteristics.sag.competences.concentration.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.sag.competences.concentration.max" value="{{data.characteristics.sag.competences.concentration.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.sag.competences.intuition.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.sag.competences.intuition.max" value="{{data.characteristics.sag.competences.intuition.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.sag.competences.survie.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.sag.competences.survie.max" value="{{data.characteristics.sag.competences.survie.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.sag.competences.premiers_soins.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.sag.competences.premiers_soins.max" value="{{data.characteristics.sag.competences.premiers_soins.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.sag.competences.torture.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.sag.competences.torture.max" value="{{data.characteristics.sag.competences.torture.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.sag.competences.dressage.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.sag.competences.dressage.max" value="{{data.characteristics.sag.competences.dressage.max}}"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="status-controls-container">
                                <h2>AGILITE</h2>
                                <div class="resistance-grid">
                                    <div class="flex-container">
                                        <div>{{data.characteristics.agi.competences.esquive.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.agi.competences.esquive.max" value="{{data.characteristics.agi.competences.esquive.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.agi.competences.discretion.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.agi.competences.discretion.max" value="{{data.characteristics.agi.competences.discretion.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.agi.competences.crochetage.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.agi.competences.crochetage.max" value="{{data.characteristics.agi.competences.crochetage.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.agi.competences.escalade.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.agi.competences.escalade.max" value="{{data.characteristics.agi.competences.escalade.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.agi.competences.acrobatie.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.agi.competences.acrobatie.max" value="{{data.characteristics.agi.competences.acrobatie.max}}"></div>
                                    </div>
                                    <div class="flex-container">
                                        <div>{{data.characteristics.agi.competences.armes_legeres.name}}</div>
                                        <div><input class="competences" type="number"  name="data.characteristics.agi.competences.armes_legeres.max" value="{{data.characteristics.agi.competences.armes_legeres.max}}"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="combat-item-container">
                        <!--<table class="combat-style-table">
                            <thead>
                                <tr>
                                    <th class="item-name-cell item-create" id="combatStyle">+ Style de combat</th>
                                    <th>Rang</th>
                                    <th class="right-align-cell"><i class="fas fa-trash"></i></th>
                                </tr>
                            </thead>
                            <tbody>
                                {{#each actor.data.combatStyle as |item id|}}
                                    <tr class="item" data-item-id="{{item._id}}">
                                        <td class="item-name-cell">
                                            <div class="flex-container">
                                                <i class="fas fa-dice-d20 combat-roll"></i>
                                                <img class="item-img" src="{{item.img}}">
                                                <div class="item-name">{{item.name}}</div>
                                            </div>
                                        </td>
                                        <td>
                                            <select class="rank-select" id="{{item._id}}" name="rank-select" value="{{item.data.rank}}">
                                                <option value="untrained">Non Formé</option>
                                                <option value="novice">(0)Novice</option>
                                                <option value="apprentice">(1)Apprentie</option>
                                                <option value="journeyman">(2)Compagnon</option>
                                                <option value="adept">(3)Adepte</option>
                                                <option value="expert">(4)Expert</option>
                                                <option value="master">(5)Maitre</option>
                                            </select>
                                        </td>
                                        <td class="right-align-cell"><a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a></td>
                                    </tr>
                                {{/each}}
                            </tbody>
                        </table>-->

                        <table class="weapon-table">
                            <thead>
                                <tr>
                                    <th class="item-name-cell equip-items" id="weapon">Arme</th>
                                    <th>Damage</th>
                                    <th>Portée</th>
                                    <th class="right-align-cell"><i class="fas fa-trash"></i></th>
                                </tr>
                            </thead>
                            <tbody>
                                {{#each actor.data.weapon.equipped as |item id|}}
                                    <tr class="item" data-item-id="{{item._id}}">
                                        <td class="item-name-cell">
                                            <div class="flex-container">
                                                <i class="fas fa-dice-d20 damage-roll"></i>
                                                <img class="item-img" src="{{item.img}}">
                                                <div class="item-name">{{item.name}}</div>
                                            </div>
                                        </td>
                                        <td class="damage-entry">{{item.data.damage3}}</td>
                                        <td>{{item.data.reach}}</td>
                                        <td class="right-align-cell"><a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a></td>
                                    </tr>
                                {{/each}}
                            </tbody>
                        </table>

                        <table class="ammunition-table">
                            <thead>
                                <tr>
                                    <th class="item-name-cell equip-items" id="ammunition">Munition</th>
                                    <th>Bonus</th>
                                    <th>Qté</th>
                                    <th class="right-align-cell"><i class="fas fa-trash"></i></th>
                                </tr>
                            </thead>
                            <tbody>
                                {{#each actor.data.ammunition.equipped as |item id|}}
                                    <tr class="item" data-item-id="{{item._id}}">
                                        <td class="item-name-cell">
                                            <div class="flex-container">
                                                <i class="fas fa-dice-d20 ammo-roll"></i>
                                                <img class="item-img" src="{{item.img}}">
                                                <div class="item-name">{{item.name}}</div>
                                            </div>
                                        </td>
                                        <td>{{item.data.damage}}</td>
                                        <td><button class="minusQty plusQty" title="Click to Increase, right-click to decrease">{{item.data.quantity}}</button></td>
                                        <td class="right-align-cell"><a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a></td>
                                    </tr>
                                {{/each}}
                            </tbody>
                        </table>

                        <table class="armor-table">
                            <thead>
                                <tr>
                                    <th class="item-name-cell equip-items" id="armor" data-alt-type="item">Armure</th>
                                    <th>AP</th>
                                    <th>AM</th>
                                    <th>PDS</th>
                                    <th class="right-align-cell"><i class="fas fa-trash"></i></th>
                                </tr>
                            </thead>
                            <tbody>
                                {{#each actor.data.armor.equipped as |item id|}}
                                    <tr class="item" data-item-id="{{item._id}}">
                                        <td class="item-name-cell">
                                            <div class="flex-container">
                                                <input type="checkbox" class="itemEquip checkbox" {{checked data.equipped}}>
                                                <img class="item-img" src="{{item.img}}">
                                                <div class="item-name">{{item.name}}</div>
                                            </div>
                                        </td>
                                        <td>{{item.data.armor}}</td>
                                        <td>{{item.data.magic_ar}}</td>
                                        <td>{{item.data.enc}}</td>
                                        <td class="right-align-cell"><a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a></td>
                                    </tr>
                                {{/each}}
                                {{#each actor.data.gear.equipped as |item id|}}
                                    <tr class="item" data-item-id="{{item._id}}">
                                        <td class="item-name-cell">
                                            <div class="flex-container">
                                                <input type="checkbox" class="itemEquip checkbox" {{checked data.equipped}}>
                                                <img class="item-img" src="{{item.img}}">
                                                <div class="item-name">{{item.name}}</div>
                                            </div>
                                        </td>
                                        <td>-</td>
                                        <td>-</td>
                                        <td>-</td>
                                        <td class="right-align-cell"><a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a></td>
                                    </tr>
                                {{/each}}
                            </tbody>
                        </table>
                    </div>

                    <div class="three-column-flex-container">
                        <div class="trait-container">
                            <h2 class="headerWithButton">
                                <button type="button" class="item-create" id="trait">+</button>
                                <label>Effet Passif</label>
                            </h2>
                            <ol class="single-column-list">
                                {{#each actor.data.trait as |item id|}}
                                    <li class="item" data-item-id="{{item._id}}">
                                        <div class="itemInfo">
                                            <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                            <div class="item-name">{{item.name}}</div>
                                        </div>
                                        <div class="item-controls">
                                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                        </div>
                                    </li>
                                {{/each}}
                            </ol>
                        </div>
                        <div class="talent-container">
                            <h2 class="headerWithButton">
                                <button type="button" class="item-create" id="talent">+</button>
                                <label>Compétences</label>
                            </h2>
                            <ol class="single-column-list">
                                {{#each actor.data.talent as |item id|}}
                                    <li class="item" data-item-id="{{item._id}}">
                                        <div class="itemInfo">
                                            <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                            <div class="item-name">{{item.name}}</div>
                                        </div>
                                        <div class="item-controls">
                                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                        </div>
                                    </li>
                                {{/each}}
                            </ol>
                        </div>
                        <div class="power-container">
                            <h2 class="headerWithButton">
                                <button type="button" class="item-create" id="power">+</button>
                                <label>Status</label>
                            </h2>
                            <ol class="single-column-list">
                                {{#each actor.data.power as |item id|}}
                                    <li class="item" data-item-id="{{item._id}}">
                                        <div class="itemInfo">
                                            <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                            <div class="item-name">{{item.name}}</div>
                                        </div>
                                        <div class="item-controls">
                                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                        </div>
                                    </li>
                                {{/each}}
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
            <div class="tab magic" data-group="primary" data-tab="magic">
                <div class="magicTabContainer">
                    <div class="spellListContainer">
                        <div class="spellList">
                            <table>
                                <thead>
                                    <tr>
                                        <th class="item-create item-name-cell" id="spell">+ Sort</th>
                                        <th>Dégats</th>
                                        <th>Cout Mana</th>
                                        <th>
                                            <select id="spellFilter">
                                            </select>
                                        </th>
                                        <th><i class="fas fa-trash"></i></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {{#each actor.data.spell as |item id|}}
                                        <tr class="item active" data-item-id="{{item._id}}" data-spell-school="{{item.data.school}}">
                                            <td>
                                                <div class="tableItemNameCell">
                                                    <i class="fas fa-dice-d20 magic-roll"></i>
                                                    <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                                    <div class="item-name">{{item.name}}</div>
                                                </div>
                                            </td>
                                            <td>{{item.data.damage}}</td>
                                            <td>{{item.data.cost}}</td>
                                            <td>{{item.data.school}}</td>
                                            <td>
                                                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                            </td>
                                        </tr>
                                    {{/each}}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>

            <div class="tab equipment" data-group="primary" data-tab="equipment">
                <div class="equipmentTabContainer">
                    <div class="itemListContainer">
                        <div class="tableListHeader">
                            <div class="equipment-info-container">
                                <div class="wealthContainer">
                                    <h2>Argent</h2>
                                    <input type="number" name="data.wealth" value="{{data.wealth}}">
                                    <button type="button" class="wealthCalc">Ajout/Soustraire</button>
                                </div>
                            </div>
                        </div>
                        <div class="equipmentList">
                            <table>
                                <thead>
                                    <tr>
                                        <th class="item-name-cell item-create" id="createSelect">+ Item</th>
                                        <th>
                                            <select id="itemFilter">
                                                <option>Tout</option>
                                            </select>
                                        </th>
                                        <th>Poids</th>
                                        <th>Prix</th>
                                        <th><i class="fas fa-trash"></i></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {{#each actor.data.gear.unequipped as |item id|}}
                                        <tr class="item active" data-item-id="{{item._id}}" data-item-type="{{item.type}}">
                                            <td>
                                                <div class="tableItemNameCell">
                                                    <div class="qty-controls">
                                                        <button class="minusQty plusQty" title="Click to increase, right click to decrease">
                                                            <div>{{item.data.quantity}}</div>
                                                        </button>
                                                    </div>
                                                    <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                                    <div class="item-name">{{item.name}}</div>
                                                </div>
                                            </td>
                                            <td>item</td>
                                            <td>{{item.data.enc}}</td>
                                            <td>{{item.data.price}}</td>
                                            <td>
                                                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                            </td>
                                        </tr>
                                    {{/each}}
                                    {{#each actor.data.armor.unequipped as |item id|}}
                                        <tr class="item active" data-item-id="{{item._id}}" data-item-type="{{item.type}}">
                                            <td>
                                                <div class="tableItemNameCell">
                                                    <div class="qty-controls">
                                                        <button class="minusQty plusQty" title="Click to increase, right click to decrease">
                                                            <div>{{item.data.quantity}}</div>
                                                        </button>
                                                    </div>
                                                    <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                                    <div class="item-name">{{item.name}}</div>
                                                </div>
                                            </td>
                                            <td>armure</td>
                                            <td>{{item.data.enc}}</td>
                                            <td>{{item.data.price}}</td>
                                            <td>
                                                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                            </td>
                                        </tr>
                                    {{/each}}
                                    {{#each actor.data.weapon.unequipped as |item id|}}
                                        <tr class="item active" data-item-id="{{item._id}}" data-item-type="{{item.type}}">
                                            <td>
                                                <div class="tableItemNameCell">
                                                    <div class="qty-controls">
                                                        <button class="minusQty plusQty" title="Click to increase, right click to decrease">
                                                            <div>{{item.data.quantity}}</div>
                                                        </button>
                                                    </div>
                                                    <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                                    <div class="item-name">{{item.name}}</div>
                                                </div>
                                            </td>
                                            <td>arme</td>
                                            <td>{{item.data.enc}}</td>
                                            <td>{{item.data.price}}</td>
                                            <td>
                                                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                            </td>
                                        </tr>
                                    {{/each}}
                                    {{#each actor.data.ammunition.unequipped as |item id|}}
                                        <tr class="item active" data-item-id="{{item._id}}" data-item-type="{{item.type}}">
                                            <td>
                                                <div class="tableItemNameCell">
                                                    <div class="qty-controls">
                                                        <button class="minusQty plusQty" title="Click to increase, right click to decrease">
                                                            <div>{{item.data.quantity}}</div>
                                                        </button>
                                                    </div>
                                                    <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                                    <div class="item-name">{{item.name}}</div>
                                                </div>
                                            </td>
                                            <td>munition</td>
                                            <td>{{item.data.enc}}</td>
                                            <td>{{item.data.price}}</td>
                                            <td>
                                                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                            </td>
                                        </tr>
                                    {{/each}}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>

        </section>

    </div>
</form>

